超线程BUG施虐六、七代酷睿!超线程被迫停用

2017-06-27 00:15 出处:PConline原创 作者:joe 责任编辑:liangzhijie

  【PConline 资讯】Linux分支——Debian项目的开发者最近警告说,英特尔最新的Kaby lake及上一代Sky lake架构处理器的超线程功能存在重大缺陷,有可能导致数据出错和丢失,必须马上关闭超线程以策万全。

1

  除了笔记本Core i3、i5、i7和桌面Core i3、i7以外,采用Kaby Lake架构的奔腾由于新增了超线程支持,同样会受到影响,如有性价比神U之称的G4560。要查看自己的CPU架构是否受影响,只要打开CPU-Z软件,在代号中如果显示为Sky Lake或Kaby Lake,并且下方核心数与线程数不等,则在受此BUG影响之列。

  Debian此次曝光的英特尔处理器超线程BUG在5月份已经被英特尔确认。具体来说是当循环体少于64条指令的段循环中,若同时使用了处理器的AH、BH、CH、DH四个寄存器和他们对应的扩展寄存器(如AH对应的RAX、EAX、AX),会导致系统出现不可预料的行为。但是,该情况出现仅限同步多线程启用时才有,也就是发生在一个物理线程承载两个逻辑线程时。

1

  虽然这次BUG是由Linux核心的操作系统曝光,实际上所有操作系统都会受到影响,包括我们常用的Windows。如果你的电脑配备了包含超线程支持的英特尔Sky Lake或Kaby Lake架构处理器,为防止不可预料的数据错误或丢失,应尽快在BIOS设置当中禁用Intel Hyper Threading超线程功能,等待未来新版本BIOS对此BUG的修复。

DIY论坛帖子排行

最高点击 最高回复 最新
最新资讯离线随时看 聊天吐槽赢奖品